jQuery(document).ready(function ($) {
    $('#loginForm').on('submit', function (event) {
        event.preventDefault();
        let user_email = $('#userEmail').val();
        let user_password = $('#userPassword').val();
        $.ajax({
                url: '/wp-admin/admin-ajax.php',
                type: 'post',
                dataType: 'json',
                data: {
                    action: 'wp_auth_login',
                    user_email: user_email,
                    user_password: user_password
                },
                success:function (response) {},
                error:function (error) {
                    if (error)
                    {
                        alert('خطا');
                        //swal("خطا!", "خطایی در عملیات ورود شما رخ داده است لطفا مجددا تلاش نمائید!", "error");
                    }
                },
            }
        );

    })
    $('#registerForm').on('submit', function (event) {
        event.preventDefault();
        let first_name = $('#firstName').val();
        let last_name = $('#lastName').val();
        let user_email = $('#userEmail').val();
        let user_mobile = $('#userMobile').val();
        let user_password = $('#userPassword').val();
        $.ajax(
            {
                url: '/wp-admin/admin-ajax.php',
                type: 'post',
                dataType: 'json',
                data: {
                    action: 'wp_auth_register',
                    first_name: first_name,
                    last_name: last_name,
                    user_email: user_email,
                    user_mobile: user_mobile,
                    user_password: user_password
                },
                success:function (response) {
                    if (response)
                    {
                        swal("تبریک!", "شما با موفقیت در سایت عضو شدید", "success");
                    }
                },
                error:function (error) {
                    if (error)
                    {
                        swal("خطا!", "خطایی در عملیات ثبت نام شما رخ داده است لطفا مجددا تلاش نمائید!", "error");
                    }
                },
            }
        );

    })
})